using CloudBuilder.Core.DatabaseAccessor;

namespace CloudBuilder.Core.Service
{
    public interface IServiceBase<Tdata, Tkey, Tc> : IService
    {
        Tdata FindByKey(Tkey tc);

        [UnitOfWork]
        Tdata Insert(Tdata tdata);

        [UnitOfWork]
        Tdata Update(Tdata tdata);

        [UnitOfWork]
        void Delete(Tkey tkey);
    }
}